Skip to main content

Comments

Comments aid conversation and collaboration around workspace datasets. Comments can be made on datasets, or other comments to form threads.


Objects​

Comment​

PathJSON TypeFormatDescription
idstringVersion 4 UUIDThe comment ID
messagestringThe comment message
likeCountnumberUnsigned integerThe number of likes the comment has received
likedByProfilesobject[]Array of MembersThe workspace members that have liked the comment
createdstringISO 8601 timestampTimestamp denoting when the comment was created
lastModifiedstringISO 8601 timestampTimestamp denoting when the comment was last modified
fromobjectMemberThe comment author
commentCountnumberUnsigned integerThe number of replies the comment has received
datasetIdstringVersion 4 UUIDThe ID of the dataset comment subject
parentIdstringVersion 4 UUIDThe ID of the parent comment
{
"id" : "ece3f7c1-1e55-42ba-a8a1-ad342a4f3a8b",
"message" : "SIT-generated reply Pesho [2026-10-01T13:40:27.534451380] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-01T13:40:27.583603",
"lastModified" : "2026-10-01T13:40:27.583604",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "de39b846-642e-40a0-9cb7-dc024e8007e2",
"_links" : {
"edit-history" : {
"href" : "https://app.meltano.com/api/comments/ece3f7c1-1e55-42ba-a8a1-ad342a4f3a8b/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/de39b846-642e-40a0-9cb7-dc024e8007e2/comments/ece3f7c1-1e55-42ba-a8a1-ad342a4f3a8b",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/ece3f7c1-1e55-42ba-a8a1-ad342a4f3a8b",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/ece3f7c1-1e55-42ba-a8a1-ad342a4f3a8b"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/ece3f7c1-1e55-42ba-a8a1-ad342a4f3a8b/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/ece3f7c1-1e55-42ba-a8a1-ad342a4f3a8b",
"type" : "POST"
}
}
}

Requests​

View all comments on a dataset​

GET /api/datasets/{dataset-id}/comments

Returns all comments on the dataset {dataset-id}.

Prerequisites​

  • Dataset {dataset-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/datasets/de39b846-642e-40a0-9cb7-dc024e8007e2/comments' -i -X GET

Response​

200 OK

Comment collection with HAL links.

{
"_embedded" : {
"datasetComments" : [ {
"id" : "ed87aaa2-8cd8-424c-9d5e-2d4a3643dfa7",
"message" : "SIT-generated reply Pesho [2026-10-01T13:40:26.373940309] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-01T13:40:26.458687",
"lastModified" : "2026-10-01T13:40:26.458688",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "de39b846-642e-40a0-9cb7-dc024e8007e2",
"_links" : {
"edit-history" : {
"href" : "https://app.meltano.com/api/comments/ed87aaa2-8cd8-424c-9d5e-2d4a3643dfa7/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/de39b846-642e-40a0-9cb7-dc024e8007e2/comments/ed87aaa2-8cd8-424c-9d5e-2d4a3643dfa7",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/ed87aaa2-8cd8-424c-9d5e-2d4a3643dfa7",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/ed87aaa2-8cd8-424c-9d5e-2d4a3643dfa7"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/ed87aaa2-8cd8-424c-9d5e-2d4a3643dfa7/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/ed87aaa2-8cd8-424c-9d5e-2d4a3643dfa7",
"type" : "POST"
}
}
}, {
"id" : "77914e2e-afd6-48d5-a8d7-c7341828b894",
"message" : "SIT-generated reply Pesho [2026-10-01T13:40:26.196170124] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-01T13:40:26.254131",
"lastModified" : "2026-10-01T13:40:26.254132",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "de39b846-642e-40a0-9cb7-dc024e8007e2",
"_links" : {
"edit-history" : {
"href" : "https://app.meltano.com/api/comments/77914e2e-afd6-48d5-a8d7-c7341828b894/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/de39b846-642e-40a0-9cb7-dc024e8007e2/comments/77914e2e-afd6-48d5-a8d7-c7341828b894",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/77914e2e-afd6-48d5-a8d7-c7341828b894",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/77914e2e-afd6-48d5-a8d7-c7341828b894"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/77914e2e-afd6-48d5-a8d7-c7341828b894/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/77914e2e-afd6-48d5-a8d7-c7341828b894",
"type" : "POST"
}
}
}, {
"id" : "7bc25583-1aaa-418f-8652-913d96f589c0",
"message" : "SIT-generated reply Pesho [2026-10-01T13:40:26.034751714] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-01T13:40:26.08358",
"lastModified" : "2026-10-01T13:40:26.08358",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "de39b846-642e-40a0-9cb7-dc024e8007e2",
"_links" : {
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/de39b846-642e-40a0-9cb7-dc024e8007e2/comments/7bc25583-1aaa-418f-8652-913d96f589c0",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/7bc25583-1aaa-418f-8652-913d96f589c0",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/7bc25583-1aaa-418f-8652-913d96f589c0"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/7bc25583-1aaa-418f-8652-913d96f589c0/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/7bc25583-1aaa-418f-8652-913d96f589c0",
"type" : "POST"
}
}
}, {
"id" : "a867bb0f-000f-40ab-8bdf-8fad3d449511",
"message" : "SIT-generated reply Pesho [2026-10-01T13:40:24.363710442] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-01T13:40:24.408686",
"lastModified" : "2026-10-01T13:40:24.408686",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 3,
"datasetId" : "de39b846-642e-40a0-9cb7-dc024e8007e2",
"_links" : {
"comments" : {
"href" : "https://app.meltano.com/api/datasets/de39b846-642e-40a0-9cb7-dc024e8007e2/comments?parentId=a867bb0f-000f-40ab-8bdf-8fad3d449511",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/de39b846-642e-40a0-9cb7-dc024e8007e2/comments/a867bb0f-000f-40ab-8bdf-8fad3d449511",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/a867bb0f-000f-40ab-8bdf-8fad3d449511",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/a867bb0f-000f-40ab-8bdf-8fad3d449511"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/a867bb0f-000f-40ab-8bdf-8fad3d449511/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/a867bb0f-000f-40ab-8bdf-8fad3d449511",
"type" : "POST"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/datasets/de39b846-642e-40a0-9cb7-dc024e8007e2/comments?page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 4,
"totalPages" : 1,
"number" : 0
}
}

View a comment​

GET /api/comments/{comment-id}

Returns the comment {comment-id}.

Prerequisites​

  • Comment {comment-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/comments/ece3f7c1-1e55-42ba-a8a1-ad342a4f3a8b' -i -X GET

Response​

200 OK

Comment with HAL links.

{
"id" : "ece3f7c1-1e55-42ba-a8a1-ad342a4f3a8b",
"message" : "SIT-generated reply Pesho [2026-10-01T13:40:27.534451380] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-01T13:40:27.583603",
"lastModified" : "2026-10-01T13:40:27.583604",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "de39b846-642e-40a0-9cb7-dc024e8007e2",
"_links" : {
"edit-history" : {
"href" : "https://app.meltano.com/api/comments/ece3f7c1-1e55-42ba-a8a1-ad342a4f3a8b/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/de39b846-642e-40a0-9cb7-dc024e8007e2/comments/ece3f7c1-1e55-42ba-a8a1-ad342a4f3a8b",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/ece3f7c1-1e55-42ba-a8a1-ad342a4f3a8b",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/ece3f7c1-1e55-42ba-a8a1-ad342a4f3a8b"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/ece3f7c1-1e55-42ba-a8a1-ad342a4f3a8b/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/ece3f7c1-1e55-42ba-a8a1-ad342a4f3a8b",
"type" : "POST"
}
}
}

View the edit history of a comment​

GET /api/comments/{comment-id}/history

Returns the edit history of the comment {comment-id}.

Prerequisites​

  • Comment {comment-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/comments/ece3f7c1-1e55-42ba-a8a1-ad342a4f3a8b/history' -i -X GET

Response​

200 OK

[ {
"lastModified" : "2026-10-01T13:40:27.596",
"message" : "SIT-generated reply Pesho [2026-10-01T13:40:27.534451380] to ",
"editVersion" : "1774234"
}, {
"lastModified" : "2026-10-01T13:40:27.788",
"message" : "SIT-generated reply Pesho [2026-10-01T13:40:27.733155643] to ",
"editVersion" : "1774235"
} ]

View all replies to a comment​

GET /api/comments/{comment-id}

Returns all replies to the comment {comment-id}.

Prerequisites​

  • Comment {comment-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/datasets/de39b846-642e-40a0-9cb7-dc024e8007e2/comments?parentId=a867bb0f-000f-40ab-8bdf-8fad3d449511' -i -X GET

Response​

200 OK

Comment with HAL links.

{
"_embedded" : {
"datasetComments" : [ {
"id" : "9d2617ae-d295-442f-946d-4fe5091c8296",
"message" : "SIT-generated reply Pesho [2026-10-01T13:40:25.318537489] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-01T13:40:25.372076",
"lastModified" : "2026-10-01T13:40:25.372076",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "de39b846-642e-40a0-9cb7-dc024e8007e2",
"parentId" : "a867bb0f-000f-40ab-8bdf-8fad3d449511",
"_links" : {
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/de39b846-642e-40a0-9cb7-dc024e8007e2/comments/9d2617ae-d295-442f-946d-4fe5091c8296",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/9d2617ae-d295-442f-946d-4fe5091c8296",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/9d2617ae-d295-442f-946d-4fe5091c8296"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/9d2617ae-d295-442f-946d-4fe5091c8296/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/9d2617ae-d295-442f-946d-4fe5091c8296",
"type" : "POST"
}
}
}, {
"id" : "2aa89bdc-6930-4f48-8295-a392f9184ad2",
"message" : "SIT-generated reply Pesho [2026-10-01T13:40:25.131995586] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-01T13:40:25.197833",
"lastModified" : "2026-10-01T13:40:25.197833",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "de39b846-642e-40a0-9cb7-dc024e8007e2",
"parentId" : "a867bb0f-000f-40ab-8bdf-8fad3d449511",
"_links" : {
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/de39b846-642e-40a0-9cb7-dc024e8007e2/comments/2aa89bdc-6930-4f48-8295-a392f9184ad2",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/2aa89bdc-6930-4f48-8295-a392f9184ad2",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/2aa89bdc-6930-4f48-8295-a392f9184ad2"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/2aa89bdc-6930-4f48-8295-a392f9184ad2/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/2aa89bdc-6930-4f48-8295-a392f9184ad2",
"type" : "POST"
}
}
}, {
"id" : "68be5b88-04a3-4d47-b2f5-8e222083ba6d",
"message" : "SIT-generated reply Pesho [2026-10-01T13:40:24.984327504] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-01T13:40:25.030064",
"lastModified" : "2026-10-01T13:40:25.030065",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "de39b846-642e-40a0-9cb7-dc024e8007e2",
"parentId" : "a867bb0f-000f-40ab-8bdf-8fad3d449511",
"_links" : {
"edit-history" : {
"href" : "https://app.meltano.com/api/comments/68be5b88-04a3-4d47-b2f5-8e222083ba6d/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/de39b846-642e-40a0-9cb7-dc024e8007e2/comments/68be5b88-04a3-4d47-b2f5-8e222083ba6d",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/68be5b88-04a3-4d47-b2f5-8e222083ba6d",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/68be5b88-04a3-4d47-b2f5-8e222083ba6d"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/68be5b88-04a3-4d47-b2f5-8e222083ba6d/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/68be5b88-04a3-4d47-b2f5-8e222083ba6d",
"type" : "POST"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/datasets/de39b846-642e-40a0-9cb7-dc024e8007e2/comments?parentId=a867bb0f-000f-40ab-8bdf-8fad3d449511&page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 3,
"totalPages" : 1,
"number" : 0
}
}

Initialise a comment on a dataset​

POST /api/datasets/{dataset-id}/comments

Initialises a new comment on the dataset {dataset-id}.

Prerequisites​

  • Dataset {dataset-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/datasets/de39b846-642e-40a0-9cb7-dc024e8007e2/comments' -i -X POST \
-H 'Content-Type: application/json'

Response​

200 OK

Comment with HAL links.

{
"id" : "42f12301-6751-4389-a452-da2bb4f7c1ca",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-01T13:40:27.291349823",
"lastModified" : "2026-10-01T13:40:27.29135064",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "de39b846-642e-40a0-9cb7-dc024e8007e2",
"_links" : {
"create comment" : {
"href" : "https://app.meltano.com/api/datasets/de39b846-642e-40a0-9cb7-dc024e8007e2/comments/42f12301-6751-4389-a452-da2bb4f7c1ca",
"type" : "PUT"
}
}
}

Initialise a reply to a comment​

POST /api/comments/{comment-id}

Initialises a new reply comment to the comment {comment-id}.

Prerequisites​

  • Comment {comment-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/comments/a867bb0f-000f-40ab-8bdf-8fad3d449511' -i -X POST \
-H 'Content-Type: application/json'

Response​

200 OK

Comment with HAL links.

{
"id" : "cb416537-d181-46d1-9a4f-19b221d50b38",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-01T13:40:26.858674521",
"lastModified" : "2026-10-01T13:40:26.858675348",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "de39b846-642e-40a0-9cb7-dc024e8007e2",
"parentId" : "a867bb0f-000f-40ab-8bdf-8fad3d449511",
"_links" : {
"create comment" : {
"href" : "https://app.meltano.com/api/datasets/de39b846-642e-40a0-9cb7-dc024e8007e2/comments/cb416537-d181-46d1-9a4f-19b221d50b38",
"type" : "PUT"
}
}
}

Create a comment​

PUT /api/comments/{comment-id}

Creates the comment {comment-id}.

Prerequisites​

  • The comment must have been initialised in order to create it
  • The target dataset {dataset-id} or comment {comment-id} must exist

Body​

Comment resource.

{
"message" : "SIT-generated reply Pesho [2026-10-01T13:40:26.627869437] to ",
"datasetId" : "de39b846-642e-40a0-9cb7-dc024e8007e2"
}
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/datasets/de39b846-642e-40a0-9cb7-dc024e8007e2/comments/f6778748-adda-4661-b835-01f9d2ba58fa' -i -X PUT \
-H 'Content-Type: application/json' \
-d '{
"message" : "SIT-generated reply Pesho [2026-10-01T13:40:26.627869437] to ",
"datasetId" : "de39b846-642e-40a0-9cb7-dc024e8007e2"
}'

Response​

201 Created

Comment with HAL links.

{
"id" : "f6778748-adda-4661-b835-01f9d2ba58fa",
"message" : "SIT-generated reply Pesho [2026-10-01T13:40:26.627869437] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-01T13:40:26.741623343",
"lastModified" : "2026-10-01T13:40:26.741624139",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "de39b846-642e-40a0-9cb7-dc024e8007e2",
"_links" : {
"edit-history" : {
"href" : "https://app.meltano.com/api/comments/f6778748-adda-4661-b835-01f9d2ba58fa/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/de39b846-642e-40a0-9cb7-dc024e8007e2/comments/f6778748-adda-4661-b835-01f9d2ba58fa",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/f6778748-adda-4661-b835-01f9d2ba58fa",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/f6778748-adda-4661-b835-01f9d2ba58fa"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/f6778748-adda-4661-b835-01f9d2ba58fa/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/f6778748-adda-4661-b835-01f9d2ba58fa",
"type" : "POST"
}
}
}

Update a comment​

PUT /api/comments/{comment-id}

Updates the comment {comment-id}.

Prerequisites​

  • Comment {comment-id} must exist

Body​

Comment resource.

{
"message" : "SIT-generated reply Pesho [2026-10-01T13:40:27.326458766] to "
}
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/comments/ece3f7c1-1e55-42ba-a8a1-ad342a4f3a8b' -i -X GET

Response​

200 OK

Comment with HAL links.

{
"id" : "ece3f7c1-1e55-42ba-a8a1-ad342a4f3a8b",
"message" : "SIT-generated reply Pesho [2026-10-01T13:40:27.534451380] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-01T13:40:27.583603",
"lastModified" : "2026-10-01T13:40:27.583604",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "de39b846-642e-40a0-9cb7-dc024e8007e2",
"_links" : {
"edit-history" : {
"href" : "https://app.meltano.com/api/comments/ece3f7c1-1e55-42ba-a8a1-ad342a4f3a8b/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/de39b846-642e-40a0-9cb7-dc024e8007e2/comments/ece3f7c1-1e55-42ba-a8a1-ad342a4f3a8b",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/ece3f7c1-1e55-42ba-a8a1-ad342a4f3a8b",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/ece3f7c1-1e55-42ba-a8a1-ad342a4f3a8b"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/ece3f7c1-1e55-42ba-a8a1-ad342a4f3a8b/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/ece3f7c1-1e55-42ba-a8a1-ad342a4f3a8b",
"type" : "POST"
}
}
}

Record a like of a comment​

PUT /api/comments/{comment-id}/like

Records a like of the comment {comment-id} from the authenticated user profile.

Prerequisites​

  • Comment {comment-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/comments/a867bb0f-000f-40ab-8bdf-8fad3d449511/like' -i -X PUT \
-H 'Content-Type: application/json'

Response​

200 OK

No response body provided.


Remove a like from a comment​

DELETE /api/comments/{comment-id}/like

Removes a like of the comment {comment-id} from the authenticated user profile.

Prerequisites​

  • Comment {comment-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/comments/a867bb0f-000f-40ab-8bdf-8fad3d449511/like' -i -X DELETE

Response​

204 No Content

No response body provided.


Delete a comment​

DELETE /api/comments/{comment-id}

Deletes the comment {comment-id}.

Prerequisites​

  • Comment {comment-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/comments/8f9d86a2-1cb1-423d-a4ac-91ad50f2349a' -i -X DELETE

Response​

204 No Content

No response body provided.